--- title: "Custom Variable Config" slug: "server-api-livechat-custom-variable-config" updated: 2022-06-16T06:11:01Z published: 2022-06-16T06:11:01Z canonical: "developer.comm100.com/server-api-livechat-custom-variable-config" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # Custom Variable Config ## Custom Variable Config You need the Manage Custom Variables permission to manage Custom Variable Config. - `Custom Variable Configs` - Custom Variable Configs Manage - `GET livechat/customVariableConfig` - [Get a single Custom Variable Config](/docs/server-api-livechat-custom-variable-config#get-a-single-custom-variable-config) - `POST livechat/customVariableConfig:disable` - [Disable the Custom Variable Config](/docs/server-api-livechat-custom-variable-config#disable-the-custom-variable-config) - `POST livechat/customVariableConfig:enable` - [Enable the Custom Variable Config](/docs/server-api-livechat-custom-variable-config#enable-the-custom-variable-config) ### Custom Variable Config JSON Format Custom Variable Config is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `isEnabled` | bool | Whether custom variable config is enabled or not. | ### Get a single Custom Variable Config `GET livechat/customVariableConfig` - #### Parameters: No Parameters - #### Response: [Custom Variable Config](/docs/server-api-livechat-custom-variable-config#custom-variable-config-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/livechat/customVariableConfig \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "isEnabled": false } ``` ### Disable the Custom Variable Config `POST livechat/customVariableConfig:disable` - #### Parameters: No Parameters - #### Response: [Custom Variable Config](/docs/server-api-livechat-custom-variable-config#custom-variable-config-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/livechat/customVariableConfig:disable \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "isEnabled": false } ``` ### Enable the Custom Variable Config `POST livechat/customVariableConfig:enable` - #### Parameters: No Parameters - #### Response: [Custom Variable Config](/docs/server-api-livechat-custom-variable-config#custom-variable-config-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/livechat/customVariableConfig:enable \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "isEnabled": true } ```